<template>
    <v-container>
        <v-row dense>
            <v-col cols="12">
                <v-card :color="item.color" background="#000000">
                    <v-btn @click="$router.push({ path: '/profile', query: {search: true, menu: $route.query.menu} })" class="back ma-2" dark>
                        <v-icon dark left>
                            mdi-arrow-left
                        </v-icon>Powrót
                    </v-btn>
                    <div class="d-flex flex-no-wrap justify-left">
                        <div>
                            <v-card-title class="text-h5" v-text="item.nick">
                            </v-card-title>
                            <v-card-subtitle v-text="`${item.age} ${years(item.age)}`"></v-card-subtitle>
                            <v-container fluid>
                                <v-card-actions>
                                    <v-btn @click="handleMessage" class="ml-2 mt-3 message" fab icon height="40px" right
                                        width="40px">
                                        <v-icon>mdi-chat</v-icon>
                                    </v-btn>
                                    <v-btn @click="handleWave" class="ml-2 mt-3 hand" fab icon height="40px" right
                                        width="40px">
                                        <v-icon>mdi-hand-wave-outline</v-icon>
                                    </v-btn>
                                </v-card-actions>
                                <v-row dense>
                                    <v-col cols="12">
                                        <v-card elevation="0">
                                            <h4>O sobie:</h4>
                                            {{ item.about }}
                                        </v-card>
                                    </v-col>
                                </v-row>
                            </v-container>
                        </div>
                        <v-avatar class="ma-3" size="125" tile>
                            <v-img @click="()=>{ photoSelected = item.photo;}" :src="item.photo"></v-img>
                        </v-avatar>

                        <!-- <v-avatar class="ma-3" size="125" tile> -->
                            <v-img v-for="(photo, index) in item.restPhotos" :key="index"
                            width="auto" height="125"
                            @click="()=>{ photoSelected = photo;}" 
                            :src="photo"></v-img><br />
                        <!-- </v-avatar> -->
                    </div>
                </v-card>
            </v-col>
        </v-row>
        <PhotoComponent v-if="photoSelected" @close="()=>{photoSelected=null}" :photo="photoSelected" />
    </v-container>
</template>
<script>
import years from '~/components/helpers/years';
export default {
    data() {
        return {
            item: {
                nick: this.$route.query.nick,
                age: null,
                photo: null,
                restPhotos: null,
                about: null
            },
            photoSelected: null,

        }
    },

    mounted() {

        this.$bus.$emit('hide-menu')
        this.$axios.post(this.$config.serverUrl + '/user/get-by-nick', {
            uuid: this.$store.state.user.uuid, nick: this.$route.query.nick
        }
        ).then(({ data }) => {
            this.item.age = data.age;
            this.item.photo = data.photos.profile;
            this.item.restPhotos = data.photos.rest;
            this.item.about = data.about;
        }).catch(err => {
            console.error(err);
        });
    },

    beforeDestroy() {
        this.$bus.$emit('show-menu')
    },

    methods: {
        years,
        handleMessage() {
            this.$router.push({ path: '/profile', query: { nick: this.item.nick, operation: 'message' } })
        },

        handleWave() {
            this.$router.push({ path: '/profile', query: { nick: this.item.nick, operation: 'wave' } })
        }
    },


}
</script>
<style lang="scss" scoped>
.message {
    &:hover {
        animation: tilt-enlarging alternate .5s;
    }
}

.hand {
    &:hover {
        animation: tilt-shaking alternate .5s;
    }
}

.v-responsive {
    width: 125px !important;
    transform: translateY(12px);
}


@keyframes tilt-enlarging {
    0% {
        transform: scale(1);
    }

    25% {
        transform: scale(1.5);
    }

    50% {
        transform: scale(1);
    }

    75% {
        transform: scale(1.5);
    }

    100% {
        transform: scale(1);
    }

}

@keyframes tilt-shaking {
    0% {
        transform: rotate(0deg) scale(1);
    }

    25% {
        transform: rotate(15deg) scale(1.5);
    }

    50% {
        transform: rotate(0eg) scale(1);
    }

    75% {
        transform: rotate(-15deg) scale(1.5);
    }

    100% {
        transform: rotate(0deg) scale(1);
    }
}</style>